[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBand.CalcPreferredHeight

Calculates the band height using the orientation and settings in the parent control.

## Declaration

Source position: comctrls.pp line 2498

`protected function TCoolBand.CalcPreferredHeight: Integer;`

## Function result

Number of pixels needed to display the band on its parent control. Includes the space needed for the image, text, and vertical spacing when assigned / used.